aboutsummaryrefslogtreecommitdiff
path: root/scripts/Old/irbe-setup.sh
diff options
context:
space:
mode:
authorRob Austein <sra@hactrn.net>2009-09-30 02:44:08 +0000
committerRob Austein <sra@hactrn.net>2009-09-30 02:44:08 +0000
commit8ff6e084a319ac1c2c5a2ce613e0c6af4ef7c967 (patch)
tree67e7941019be8b0a356b301e51486488a949f304 /scripts/Old/irbe-setup.sh
parentbfceadc41e1ed51fa0f390b8a6eebe9e2004b78c (diff)
First pass at cleaning up some of the accumulated clutter
svn path=/rpkid/Makefile; revision=2800
Diffstat (limited to 'scripts/Old/irbe-setup.sh')
-rw-r--r--scripts/Old/irbe-setup.sh32
1 files changed, 32 insertions, 0 deletions
diff --git a/scripts/Old/irbe-setup.sh b/scripts/Old/irbe-setup.sh
new file mode 100644
index 00000000..31342aaa
--- /dev/null
+++ b/scripts/Old/irbe-setup.sh
@@ -0,0 +1,32 @@
+#!/bin/sh -
+# $Id$
+
+# Copyright (C) 2007--2008 American Registry for Internet Numbers ("ARIN")
+#
+# Permission to use, copy, modify, and distribute this software for any
+# purpose with or without fee is hereby granted, provided that the above
+# copyright notice and this permission notice appear in all copies.
+#
+# THE SOFTWARE IS PROVIDED "AS IS" AND ARIN DISCLAIMS ALL WARRANTIES WITH
+# REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
+# AND FITNESS. IN NO EVENT SHALL ARIN BE LIABLE FOR ANY SPECIAL, DIRECT,
+# INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
+# LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE
+# OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
+# PERFORMANCE OF THIS SOFTWARE.
+
+# Run irbe-setup.py, under screen if possible.
+
+#make test
+
+if test -n "$STY"
+then
+ screen python rpkid.py
+else
+ python rpkid.py >>rpkid.log 2>&1 & rpkid=$!
+ trap "kill $rpkid" 0 1 2 3 13 15
+fi
+
+sleep 5
+
+exec python irbe-setup.py